From 2da356d66860ac604c1b47a7f1bc4270d86f7e8c Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Wed, 7 Jan 2015 14:30:34 -0500
Subject: buglist: bug 7290: )d op coerce fails

)d op coerce

There are 195 exposed functions called coerce :
   [1] List(D2) -> D from D if D2 has FIELD and D has AFSPCAT(D2)
   [2] D -> List(D2) from D if D has AFSPCAT(D2) and D2 has FIELD
   [3] D1 -> D from D if D has ALGEBRA(D1) and D1 has COMRING

   >> System error:
   D2 is not of type SEQUENCE.
---
 buglist                        |   28 +++++++++++++++++++++++++++-
 changelog                      |    4 ++++
 patch                          |   19 +++++++++----------
 src/axiom-website/patches.html |    4 ++++
 4 files changed, 44 insertions(+), 11 deletions(-)

diff --git a/buglist b/buglist
index 126ad2a..b72c3e8 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7289: 
+bug 7291: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,32 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7290: )d op coerce fails
+
+)d op coerce
+
+There are 195 exposed functions called coerce :
+   [1] List(D2) -> D from D if D2 has FIELD and D has AFSPCAT(D2)
+   [2] D -> List(D2) from D if D has AFSPCAT(D2) and D2 has FIELD
+   [3] D1 -> D from D if D has ALGEBRA(D1) and D1 has COMRING
+ 
+   >> System error:
+   D2 is not of type SEQUENCE.
+
+=========================================================================
+bug 7289: OrderedVariableList type coercion failed
+
+Ov := OrderedVariableList([SX, SY, SZ])
+
+   (1)  OrderedVariableList([SX,SY,SZ])
+                                                                 Type: Domain
+(2) -> S::Ov
+
+ 
+   >> Error detected within library code:
+   index out of range
+
+=========================================================================
 bug 7288: TexFormat radix escapes characters
 
 radix(10^100,32)::TEX
diff --git a/changelog b/changelog
index e8dbe25..e80653a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20150106 tpd src/axiom-website/patches.html 20150107.01.tpd.patch
+20150107 tpd buglist: bug 7290: )d op coerce fails
+20150106 tpd src/axiom-website/patches.html 20150106.13.tpd.patch
+20150106 tpd buglist: bug 7289: OrderedVariableList type coercion failed
 20150106 tpd src/axiom-website/patches.html 20150106.12.tpd.patch
 20151016 tpd buglist: bug 7288: TexFormat radix escapes characters
 20150106 tpd src/axiom-website/patches.html 20150106.11.tpd.patch
diff --git a/patch b/patch
index b5fe872..3f2f373 100644
--- a/patch
+++ b/patch
@@ -1,13 +1,12 @@
-buglist: bug 7288: TexFormat radix escapes characters
+buglist: bug 7290: )d op coerce fails
 
-radix(10^100,32)::TEX
+)d op coerce
 
-   (1)
-   ["$$",
-
-    "4#\I9#\L#\K#\I#\P9#\G#\R#\S#\T#\C5#\I#\F164#\P#\O5#\V72#\M#\E827226#\J#\S#
-    \L#\A#\P462585#\Q7#\H00000000000000000000"
-     ,
-    "$$"]
-                                                              Type: TexFormat
+There are 195 exposed functions called coerce :
+   [1] List(D2) -> D from D if D2 has FIELD and D has AFSPCAT(D2)
+   [2] D -> List(D2) from D if D has AFSPCAT(D2) and D2 has FIELD
+   [3] D1 -> D from D if D has ALGEBRA(D1) and D1 has COMRING
+ 
+   >> System error:
+   D2 is not of type SEQUENCE.
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1eff64a..29b1ef0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4920,6 +4920,10 @@ buglist: bug 7286: UPS arithmetic fails<br/>
 buglist: bug 7287: TexFormat is incorrect<br/>
 <a href="patches/20150106.12.tpd.patch">20150106.12.tpd.patch</a>
 buglist: bug 7288: TexFormat radix escapes characters<br/>
+<a href="patches/20150106.13.tpd.patch">20150106.13.tpd.patch</a>
+buglist: bug 7289: OrderedVariableList type coercion failed<br/>
+<a href="patches/20150107.01.tpd.patch">20150107.01.tpd.patch</a>
+buglist: bug 7290: )d op coerce fails
  </body>
 </html>
 
-- 
1.7.5.4

